View Issue Details

IDProjectCategoryView StatusLast Update
0004436SymmetricDSBugpublic2020-06-24 16:47
ReporterelongAssigned Toelong 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.12.0 
Target Version3.12.1Fixed in Version3.12.1 
Summary0004436: Unable to handle unknown csv values: ts
DescriptionA node at version 3.12 will mistakenly send the capture timestamp in the protocol to a node with an earlier version. The target node loading the change will get warnings for each row:

2020-06-22 13:57:06,828 INFO [server] [DataLoaderService$LoadIntoDatabaseOnArrivalListener$1] [server-dataloader-21] Unable to handle unknown csv values: [ts, -1592848618507]


Tagsdata sync

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.12 6dc8b696

2020-06-22 14:03:23

admin

Details Diff
0004436: Unable to handle unknown csv values: ts
0004436
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/writer/AbstractProtocolDataWriter.java Diff File

Issue History

Date Modified Username Field Change
2020-06-22 11:38 elong New Issue
2020-06-22 11:38 elong Status new => assigned
2020-06-22 11:38 elong Assigned To => elong
2020-06-22 11:38 elong Tag Attached: data sync
2020-06-22 14:02 elong Summary Sending capture timestamp when target node is older version => Unable to handle unknown csv values: ts
2020-06-22 14:02 elong Description Updated View Revisions
2020-06-22 14:03 elong Status assigned => resolved
2020-06-22 14:03 elong Resolution open => fixed
2020-06-22 14:03 elong Fixed in Version => 3.12.1
2020-06-23 12:00 admin Changeset attached => SymmetricDS 3.12 6dc8b696
2020-06-24 16:47 admin Status resolved => closed